Subject: Re: [Fot] TR3 Prices

From: Jeff Kelley <[email-masked]>
Date: Tue, 5 Nov 2013 14:18:12 -0500 (EST)

Hagerty is a good source of current selling prices. They maintain an up 
to date data base for insurance valuations. If the car has every been 
concours judged by either TRA or VTR it would make the estimate more 
accurate. Hope this helps.

On Tue, Nov 5, 2013 at 12:28 PM, Richard Gehweiler wrote:

> I have a friend that is advancing in years (that is anyone that is 
> older than me) and has been having some health issues. He is going to 
> sell his TR3 to his grandson (Lucky guy) and asked me what i thought 
> the car is worth, so I told him that I would seek the wisdom of the 
> FOT. The car is a small mouth car that is what I call a "Road 
> Warrior", that is solid but the paint and interior are somewhat rough. 
> It also has Brookland Screens on it. Mechanically the car is great, it 
> has a Mike Belfer engine that is very strong. I am looking for actual 
> selling prices of cars, not asking prices.
>
>  Thanks in advance
> Richard Gehweiler
> _______________________________________________
> [email-masked]
>
> http://www.fot-racing.com
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage: 
> http://autox.team.net/mailman/options/fot/[email-masked]
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive